package com.siwei.spatial.mapper.file;

import com.siwei.spatial.api.domain.file.TGeomDb;
import com.siwei.spatial.api.domain.file.TGeomDbDetails;

import java.util.List;


/**
 * 空间入库存储空间详情Mapper接口
 * 
 * @author siwei
 * @date 2025-02-05
 */
public interface TGeomDbDetailsMapper 
{
    /**
     * 查询空间入库存储空间详情
     * 
     * @param id 空间入库存储空间详情主键
     * @return 空间入库存储空间详情
     */
    public TGeomDbDetails selectTGeomDbDetailsById(String id);

    /**
     * 查询空间入库存储空间详情列表
     * 
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 空间入库存储空间详情集合
     */
    public List<TGeomDbDetails> selectTGeomDbDetailsList(TGeomDbDetails tGeomDbDetails);

    /**
     * 新增空间入库存储空间详情
     * 
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 结果
     */
    public int insertTGeomDbDetails(TGeomDbDetails tGeomDbDetails);

    /**
     * 修改空间入库存储空间详情
     * 
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 结果
     */
    public int updateTGeomDbDetails(TGeomDbDetails tGeomDbDetails);

    /**
     * 删除空间入库存储空间详情
     * 
     * @param id 空间入库存储空间详情主键
     * @return 结果
     */
    public int deleteTGeomDbDetailsById(String id);

    /**
     * 批量删除空间入库存储空间详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTGeomDbDetailsByIds(String[] ids);

    public TGeomDb sumGeomDetailsByUploadId(String id);
}
